Page MenuHomePhabricator

The content model 'CollaborationListContent' is not registered on this wiki
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.35.0-wmf.36

message
The content model 'CollaborationListContent' is not registered on this wiki.
See https://www.mediawiki.org/wiki/Content_handlers to find out which extensions handle this content model.

Impact

Unknown.

Notes

Details

Request ID
081d2f01-7fc8-4be3-bf23-722b85e8cd54
Request URL
https://test.wikipedia.org/w/api.php
Stack Trace
exception.trace
#0 /srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php(266): MediaWiki\Content\ContentHandlerFactory->validateContentHandler(string, NULL)
#1 /srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php(189): MediaWiki\Content\ContentHandlerFactory->createContentHandlerFromHook(string)
#2 /srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php(97): MediaWiki\Content\ContentHandlerFactory->createForModelID(string)
#3 /srv/mediawiki/php-1.35.0-wmf.36/includes/Title.php(4394): MediaWiki\Content\ContentHandlerFactory->getContentHandler(string)
#4 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiQueryInfo.php(414): Title->getPageLanguage()
#5 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiQueryInfo.php(385): ApiQueryInfo->extractPageInfo(integer, Title)
#6 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiQuery.php(263): ApiQueryInfo->execute()
#7 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiMain.php(1585): ApiQuery->execute()
#8 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiMain.php(525): ApiMain->executeAction()
#9 /srv/mediawiki/php-1.35.0-wmf.36/includes/api/ApiMain.php(496): ApiMain->executeActionWithErrorHandling()
#10 /srv/mediawiki/php-1.35.0-wmf.36/api.php(84): ApiMain->execute()
#11 /srv/mediawiki/w/api.php(3): require(string)
#12 {main}

Event Timeline

Urbanecm created this task.Jun 11 2020, 9:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2020, 9:16 AM
RhinosF1 added a comment.EditedJun 11 2020, 9:35 AM

I'm running a query now to get the list of pages using the content models from that extension. (https://quarry.wmflabs.org/query/45770)

Test Wiki

page_title	page_namespace
WikiProject_Test/Members	4
WikiProject_Test	4
WikiProject_Test/Page_list	4
Isarra/Bees/Members	2
Isarra/Bees	2
Test_collab/Membres	4
Test_collab	4
Gryllida_likes_trains/Members	4
Gryllida_likes_trains	4
Isarra/Bees/List_of_not_so_bees_bees	2

Heh, I had an old clone of config repo and failed to see that.

So fix is simple, I'm going to manually fix the pages mentioned.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 11 2020, 10:13 AM

Ah, yeah, forgot to do this step. Thanks!

Mentioned in SAL (#wikimedia-releng) [2020-06-11T10:37:54Z] <Urbanecm> Run update page set page_content_model="json" where page_content_model = "CollaborationListContent" OR page_content_model = "CollaborationHubContent"; at beta enwiki (T255107)

Urbanecm closed this task as Resolved.EditedJun 11 2020, 10:38 AM

I've temporarily added CollaborationKit's content models to $wgContentHandlers and manually changed the content model to JSON via the testwiki web interface. For beta enwiki, I did update page set page_content_model="json" where page_content_model = "CollaborationListContent" OR page_content_model = "CollaborationHubContent";. I believe this should now be resolved.

Still getting a fair few of these in prod (last triggered at 12:09 UTC, i.e. this minute).

Urbanecm reopened this task as Open.Jun 11 2020, 1:10 PM

Still getting a fair few of these in prod (last triggered at 12:09 UTC, i.e. this minute).

That's interesting.

[Exception MWUnknownContentModelException] (/srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php:201) The content model 'CollaborationListContent' is not registered on this wiki.
2020-06-11 13:01:43 [7347ae80-c9de-441a-b316-ef24129aa3ca] mw1380 testwiki 1.35.0-wmf.36 exception ERROR: [7347ae80-c9de-441a-b316-ef24129aa3ca] /w/api.php?action=compare&fromtitle=User%3AIsarra/Bees/Members&format=json&fromrev=346582&torev=435554   MWUnknownContentModelException from line 201 of /srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php: The content model 'CollaborationListContent' is not registered on this wiki.

This corresponds to page User:Isarra/Bees/Members (ID 98314), which is in JSON.

wikiadmin@10.64.0.205(testwiki)> select page_content_model from page where page_id=98314;
+--------------------+
| page_content_model |
+--------------------+
| json               |
+--------------------+
1 row in set (0.00 sec)

According to this query, we have no pages in said content model at testwiki. Why do we still have errors?

wikiadmin@10.64.0.205(testwiki)> select page_id, page_namespace, page_title, page_content_model from page where page_content_model="CollaborationListContent" or page_content_model="CollaborationHubContent";
Empty set (0.04 sec)

Tried to delete and undelete, but I'm unable to do so, because... [e34692b0-37a2-41e5-ab04-58b2217e9ee2] /w/index.php?title=Special:Undelete&action=submit MWUnknownContentModelException from line 201 of /srv/mediawiki/php-1.35.0-wmf.36/includes/content/ContentHandlerFactory.php: The content model 'CollaborationListContent' is not registered on this wiki.. Seems to be because I forgot CM is also stored in slots table. Not sure how to change that cleanly, I guess deleting all of the pages would "fix" the errors, but there would still be problems with the old revision should anyone need/want to restore them.

Any idea, @Jdforrester-WMF ?

We have a bunch of deleted pages sitting around in production with unsupported content types, like yaml on wikitech etc.; we've just accepted that noise in the past.

Urbanecm closed this task as Resolved.Jun 11 2020, 2:08 PM

Reedy deleted at test, I deleted pages at beta, no further errors, hopefully finally done.

Resolved by means of @Reedy deleting all the pages.

Reedy renamed this task from The content model 'CollaborationListContent' is not registered on this wiki.See https://www.mediawiki.org/wiki/Content_handlers to find out which extensions handle this content model. to The content model 'CollaborationListContent' is not registered on this wiki.Jun 11 2020, 2:09 PM
Reedy removed a project: MediaWiki-ContentHandler.

Umm, still have errors - https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&target=Wikipedia%3AWikiProject+Beta&timestamp=20170428203551
Deleted pages still cause issues when you try and undelete them. Not sure if there is a good solution here, just wanted to note for the record

That's "expected". It's hard to handle deleted pages. As long as no one undeletes them, it's fine :-).

Reedy added a comment.Jul 3 2020, 1:23 PM

Umm, still have errors - https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&target=Wikipedia%3AWikiProject+Beta&timestamp=20170428203551
Deleted pages still cause issues when you try and undelete them. Not sure if there is a good solution here, just wanted to note for the record

Not sure why you're surprisd by that...